%define upstream_name    grok
%define upstream_version 0.26

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A Pod 6 backend for grok
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Perl6::Doc) >= 0.470.0
BuildRequires: perl(Perl6::Perldoc)
BuildRequires: perl(Perl6::Perldoc::To::Ansi) >= 0.70.0
BuildRequires: perl(Pod::Parser) >= 1.360.0
BuildRequires: perl(Pod::Text::Ansi) >= 0.40.0
BuildRequires: perl(Pod::Xhtml)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.70.0
BuildArch:  noarch

%description
This class provides the main functionality needed by grok. It has some
methods you can use if you need to hook into grok.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests fail when home is readonly or when local directory doesn't exist
# https://rt.cpan.org/Ticket/Display.html?id=60631
#{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.260.0-10.mga8
+ Revision: 1489425
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.260.0-9.mga7
+ Revision: 1260435
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-8.mga6
+ Revision: 1022146
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.260.0-7.mga6
+ Revision: 949921
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.260.0-6.mga5
+ Revision: 790600
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-5.mga5
+ Revision: 746762
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 679946
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-3.mga4
+ Revision: 505253
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 352638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 192588
- update to 0.26

* Sat Feb 26 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 60605
- update to 0.25

* Tue Jan 25 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 38345
- skip tests, require writable home
- mageia rebuild
- imported package grok

